public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "David Seifert" <soap@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/ipywidgets/
Date: Sat,  4 Jun 2016 08:24:42 +0000 (UTC)	[thread overview]
Message-ID: <1465028596.03256995dfec3e30024205e2e251ddb6d89a45a0.soap@gentoo> (raw)

commit:     03256995dfec3e30024205e2e251ddb6d89a45a0
Author:     Marius Brehler <marbre <AT> linux <DOT> sungazer <DOT> de>
AuthorDate: Tue May 31 08:19:27 2016 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sat Jun  4 08:23:16 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=03256995

dev-python/ipywidgets: Version bump to 5.1.5

Package-Manager: portage-2.2.28
Closes: https://github.com/gentoo/gentoo/pull/1570

Signed-off-by: David Seifert <soap <AT> gentoo.org>

 dev-python/ipywidgets/Manifest                |  1 +
 dev-python/ipywidgets/ipywidgets-5.1.5.ebuild | 36 +++++++++++++++++++++++++++
 2 files changed, 37 insertions(+)

diff --git a/dev-python/ipywidgets/Manifest b/dev-python/ipywidgets/Manifest
index e478b13..c45c38d 100644
--- a/dev-python/ipywidgets/Manifest
+++ b/dev-python/ipywidgets/Manifest
@@ -1,2 +1,3 @@
 DIST ipywidgets-4.1.1.tar.gz 321646 SHA256 ceeb325e45ade9537c2d115fed9d522e5c6e90bb161592e2f0807375dc661028 SHA512 53b18ae432f72d3305333e92f488f62bb36f83d37fab59e4d103fb77a7ee266d03b96e6de4ffcc2a0f67d6fd892ed1d984c0b188d6cbd527ff3e950e885a5fe4 WHIRLPOOL e1ccb54416bd48fa451cd84f818595dcbe907a3bda79935d884b6f1f226167559cc24f1390d35f8b9a1e3a9af07da5c755c05e93729e27573d030d7ba2def3c3
 DIST ipywidgets-5.1.4.tar.gz 2471342 SHA256 0e5c105a88395e472d667bcc6f1dcb4244050f0dfd2e60f06ce765193d068226 SHA512 29b5a44f4edfd3b2f2dd5895fc22f1ea972a529fb395bc4fb470b029439096fe8c51a0586f469974ab67d381e58e399c740c3ba392cfcd2672c408400cf80426 WHIRLPOOL 4541e7288ec00f3391ae4eb8a254b01beaf85dc9209c18083158264fd0fa513e1a9ce3ac944082814791a3a2fcd1429db389eebcf901eed824fefaec049ed428
+DIST ipywidgets-5.1.5.tar.gz 2467289 SHA256 9590407ed96c3ac4fe22b4d18eb59854de83d1f6a007522b8d63373ed06e1eaf SHA512 245f6fb1ece32cea809813d4c49dd1dbce46fdcf3ccf2b76aad44243243ed33b6d7286524637d4475f7245a84797159d03a181a35ce925d95d3e2317d1d98df1 WHIRLPOOL 501591ab630cb143a8313ae7f102e7c0acf9c5b01e35daa219c999b88be533684334d2a74a48b589f9e5c30ddca34264dcaca36d0456ce44358fb5879634bb68

diff --git a/dev-python/ipywidgets/ipywidgets-5.1.5.ebuild b/dev-python/ipywidgets/ipywidgets-5.1.5.ebuild
new file mode 100644
index 0000000..aa7eb2c
--- /dev/null
+++ b/dev-python/ipywidgets/ipywidgets-5.1.5.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="IPython HTML widgets for Jupyter"
+HOMEPAGE="http://ipython.org/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+RDEPEND="
+	>=dev-python/traitlets-4.2.0[${PYTHON_USEDEP}]
+	>=dev-python/ipykernel-4.2.2[${PYTHON_USEDEP}]
+	>=dev-python/widgetsnbextension-1.2.3[${PYTHON_USEDEP}]
+	"
+DEPEND="${RDEPEND}
+	test? (
+		$(python_gen_cond_dep 'dev-python/mock[${PYTHON_USEDEP}]' python2_7)
+		dev-python/nose[${PYTHON_USEDEP}]
+		dev-python/coverage[${PYTHON_USEDEP}]
+	)
+	"
+
+python_test() {
+	nosetests --with-coverage --cover-package=ipywidgets ipywidgets || die
+}


             reply	other threads:[~2016-06-04  8:24 UTC|newest]

Thread overview: 108+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-06-04  8:24 David Seifert [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-07 12:31 [gentoo-commits] repo/gentoo:master commit in: dev-python/ipywidgets/ Jakov Smolić
2024-08-23 16:44 Michał Górny
2024-07-12 10:36 Michał Górny
2024-07-12 10:36 Michał Górny
2024-06-24 17:56 Jakov Smolić
2024-06-22 20:22 Sam James
2024-06-22 17:55 Arthur Zamarin
2024-06-22 17:55 Arthur Zamarin
2024-06-06 14:03 Ionen Wolkens
2024-06-06 14:03 Ionen Wolkens
2024-06-06 14:03 Ionen Wolkens
2024-06-06 14:03 Ionen Wolkens
2024-06-06  1:41 Yixun Lan
2024-06-05  4:58 Michał Górny
2024-06-05  4:58 Michał Górny
2024-06-04 18:33 Andrew Ammerlaan
2024-05-21  9:55 Andrew Ammerlaan
2024-02-24 10:24 Michał Górny
2024-02-24 10:22 Michał Górny
2024-02-08 18:56 Michał Górny
2023-12-01  6:21 Sam James
2023-11-30  5:48 Michał Górny
2023-11-20 15:02 Michał Górny
2023-10-24 17:51 Michał Górny
2023-10-15 15:46 Michał Górny
2023-10-15 15:27 Michał Górny
2023-10-15  7:38 Sam James
2023-09-13 15:02 Michał Górny
2023-09-01 17:05 Michał Górny
2023-09-01 16:49 Arthur Zamarin
2023-08-05 16:23 Michał Górny
2023-08-05 15:46 Arthur Zamarin
2023-08-01 14:59 Michał Górny
2023-07-05  7:58 Michał Górny
2023-04-22 16:12 Michał Górny
2023-04-22 10:53 Sam James
2023-03-29  5:49 Michał Górny
2023-03-21 20:06 Michał Górny
2023-01-08  5:21 Michał Górny
2023-01-07 19:02 Arthur Zamarin
2022-12-23  8:52 Michał Górny
2022-12-07 14:43 Michał Górny
2022-12-04 15:59 WANG Xuerui
2022-10-27  9:48 Andrew Ammerlaan
2022-10-05 10:44 Michał Górny
2022-10-05  7:50 Arthur Zamarin
2022-09-20  5:57 Michał Górny
2022-09-19 20:02 Arthur Zamarin
2022-09-03 12:04 Michał Górny
2022-08-18 18:11 Arthur Zamarin
2022-07-25  4:52 Michał Górny
2022-07-24 23:23 Sam James
2022-06-23  7:19 Michał Górny
2022-04-16  8:10 Arthur Zamarin
2022-04-15 18:49 Arthur Zamarin
2022-04-15 15:26 Arthur Zamarin
2022-03-31 21:14 Arthur Zamarin
2022-03-26 18:14 Arthur Zamarin
2022-03-26 17:31 Arthur Zamarin
2022-03-18  9:54 Arthur Zamarin
2022-03-16 10:06 Michał Górny
2022-02-22  9:43 Michał Górny
2022-01-29 15:02 Michał Górny
2021-11-18  8:10 Sam James
2021-11-18  5:36 Sam James
2021-11-14 20:35 Sam James
2021-11-14  3:43 Sam James
2021-10-04  8:05 Michał Górny
2021-10-04  0:49 Sam James
2021-09-14  8:59 Michał Górny
2021-09-06  0:18 Sam James
2021-09-02  0:01 Marek Szuba
2021-09-01  4:55 Michał Górny
2021-07-12  6:41 Sam James
2021-07-11 10:14 Georgy Yakovlev
2021-06-20  1:45 Sam James
2021-03-11 13:30 Sam James
2021-01-07  9:16 Michał Górny
2021-01-05 23:26 Michał Górny
2020-12-27  8:58 Michał Górny
2020-12-26  8:26 Michał Górny
2020-12-25  9:17 Michał Górny
2020-09-05 15:25 Sam James
2020-09-02  9:12 Michał Górny
2020-07-31  6:21 Michał Górny
2020-07-31  0:50 Sam James
2020-07-07 20:01 Michał Górny
2020-06-10  7:32 Michał Górny
2020-06-10  7:01 Michał Górny
2020-06-08 18:33 Michał Górny
2020-05-04 11:13 Michał Górny
2020-03-27 16:30 Michał Górny
2020-03-27 16:30 Michał Górny
2020-03-27 16:30 Michał Górny
2020-03-17  7:23 Michał Górny
2019-05-04 22:58 Virgil Dupras
2018-10-23 12:37 Benda XU
2018-05-16 15:58 Andreas Sturmlechner
2018-05-16 12:28 Agostino Sarubbo
2018-04-22  1:35 Thomas Deutschmann
2017-08-19 22:39 Sebastien Fabbro
2017-03-12 12:31 Zac Medico
2017-03-04 15:19 David Seifert
2016-11-03 17:37 David Seifert
2016-07-25 18:39 David Seifert
2016-05-29 14:53 David Seifert
2015-11-28 17:33 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1465028596.03256995dfec3e30024205e2e251ddb6d89a45a0.soap@gentoo \
    --to=soap@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox